View Issue Details

This bug affects 1 person(s).
 2
IDProjectCategoryView StatusLast Update
18157Feature requestsErgonomypublic2022-06-30 13:52
ReporterDenisChenu Assigned To 
PrioritynoneSeverity@50@ 
Status newResolutionopen 
Summary18157: Need more information for title of page
Description

See: https://www.w3.org/WAI/WCAG21/Techniques/general/G88.html

Currently : we don't have a lot of way to show information
Basic idea : «A Web page provides guidelines and suggestions for creating closed captions. The Web page is part of a “sub-site" within a larger site. The title is separated into three parts by dashes.»

In 2.6 : we can show current groupname in title,
See : https://gitlab.com/SondagesPro/SurveyThemes/SkeletonQuest/-/blob/master/startpage.pstpl#L3

Steps To Reproduce

Steps to reproduce

Add {{ dump(aSurveyInfo) }} in https://github.com/LimeSurvey/LimeSurvey/blob/master/themes/survey/vanilla/views/subviews/header/head.twig#L29

Expected result

Have :

  • current group if in group and group by group mode
  • current question text or a way to get it if in question and question by question mode
  • Have information on the current part (Save survey/ register/ etc …)
  • have string for translation og each step

Actual result

No information

TagsNo tags attached.
Bug heat2

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2022-05-27 17:29

developer   ~70069

Information can not be returned by LimeSurvey core system (title send by core)
LimeSurvey core system must provide way to get the information to theme.

Issue History

Date Modified Username Field Change
2022-05-27 17:28 DenisChenu New Issue
2022-05-27 17:29 DenisChenu Note Added: 70069
2022-05-27 17:29 DenisChenu Bug heat 0 => 2
2022-05-30 15:55 gabrieljenik Project Bug reports => Feature requests